Update phone number business profile
PATCH
/
whatsapp
/
phone_numbers
/
{phone_number}
/
profile
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const profile = await client.whatsapp.phoneNumbers.profile.update('phone_number');
console.log(profile.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
profile = client.whatsapp.phone_numbers.profile.update(
phone_number="phone_number",
)
print(profile.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
profile, err := client.Whatsapp.PhoneNumbers.Profile.Update(
context.TODO(),
"phone_number",
telnyx.WhatsappPhoneNumberProfileUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", profile.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.whatsapp.phonenumbers.profile.ProfileUpdateParams;
import com.telnyx.sdk.models.whatsapp.phonenumbers.profile.ProfileUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ProfileUpdateResponse profile = client.whatsapp().phoneNumbers().profile().update("phone_number");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
profile = telnyx.whatsapp.phone_numbers.profile.update("phone_number")
puts(profile)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$profile = $client->whatsapp->phoneNumbers->profile->update(
'phone_number',
about: 'about',
address: 'address',
category: 'category',
description: 'description',
displayName: 'display_name',
email: 'email',
profileID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
website: 'website',
);
var_dump($profile);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:phone-numbers:profile update \
--api-key 'My API Key' \
--phone-number phone_numbercurl --request PATCH \
--url https://api.telnyx.com/v2/whatsapp/phone_numbers/{phone_number}/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"about": "<string>",
"description": "<string>",
"category": "<string>",
"email": "<string>",
"website": "<string>",
"address": "<string>",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"data": {
"id": "<string>",
"record_type": "whatsapp_phone_number_profiles",
"phone_number_id": "<string>",
"display_name": "<string>",
"profile_photo_url": "<string>",
"category": "<string>",
"about": "<string>",
"description": "<string>",
"email": "<string>",
"website": "<string>",
"address": "<string>",
"profile_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Phone number (E.164 format)
Body
application/json
Response
Updated profile
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const profile = await client.whatsapp.phoneNumbers.profile.update('phone_number');
console.log(profile.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
profile = client.whatsapp.phone_numbers.profile.update(
phone_number="phone_number",
)
print(profile.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
profile, err := client.Whatsapp.PhoneNumbers.Profile.Update(
context.TODO(),
"phone_number",
telnyx.WhatsappPhoneNumberProfileUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", profile.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.whatsapp.phonenumbers.profile.ProfileUpdateParams;
import com.telnyx.sdk.models.whatsapp.phonenumbers.profile.ProfileUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ProfileUpdateResponse profile = client.whatsapp().phoneNumbers().profile().update("phone_number");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
profile = telnyx.whatsapp.phone_numbers.profile.update("phone_number")
puts(profile)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$profile = $client->whatsapp->phoneNumbers->profile->update(
'phone_number',
about: 'about',
address: 'address',
category: 'category',
description: 'description',
displayName: 'display_name',
email: 'email',
profileID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
website: 'website',
);
var_dump($profile);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:phone-numbers:profile update \
--api-key 'My API Key' \
--phone-number phone_numbercurl --request PATCH \
--url https://api.telnyx.com/v2/whatsapp/phone_numbers/{phone_number}/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"about": "<string>",
"description": "<string>",
"category": "<string>",
"email": "<string>",
"website": "<string>",
"address": "<string>",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"data": {
"id": "<string>",
"record_type": "whatsapp_phone_number_profiles",
"phone_number_id": "<string>",
"display_name": "<string>",
"profile_photo_url": "<string>",
"category": "<string>",
"about": "<string>",
"description": "<string>",
"email": "<string>",
"website": "<string>",
"address": "<string>",
"profile_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}